(**********************************************************************

    :Program.    TestCache
    :Contents.   Testet das Cache-Modul
    :Author.     Steffen Reith
    :Address.    Hessenstr. 64, D-8700 Wrzburg
    :Phone.      0931/281859
    :Copyright.  Public Domain
    :Language.   Modula-2
    :Translator. M2Amiga A+L V4.096d
    :System.     $$Date: 05-06-1991  22:36:18
    :System.     $$CompilerRuns #2#
    :History.    V1.0

**********************************************************************)
MODULE TestCache;

FROM ExecD IMPORT AttnFlags,AttnFlagSet;

IMPORT C:Cache;
IMPORT I:InOut;
IMPORT E:ExecD;

VAR P:E.AttnFlagSet;

BEGIN
 P:=C.AskProzessorType();
 IF NOT((m68020 IN P) OR (m68030 IN P) OR (m68040 IN P)) THEN
  I.WriteString("Eine Turbokarte wird bentigt\n");
  HALT;
 END;

 IF C.AskDataCache() THEN
  I.WriteString("Datacache ist an\n")
 ELSE
  I.WriteString("Datacache ist aus oder existiert nicht\n")
 END;

 IF C.AskInstCache() THEN
  I.WriteString("Instcache ist an\n")
 ELSE
  I.WriteString("Instcache ist aus oder existiert nicht\n")
 END;

 I.WriteString("Schalte alles aus\n");
 C.SetDataCache(FALSE);
 C.SetInstCache(FALSE);

 IF C.AskDataCache() THEN
  I.WriteString("Datacache ist an\n")
 ELSE
  I.WriteString("Datacache ist aus oder existiert nicht\n")
 END;

 IF C.AskInstCache() THEN
  I.WriteString("Instcache ist an\n")
 ELSE
  I.WriteString("Instcache ist aus oder existiert nicht\n")
 END;

 I.WriteString("ENDE: Alter Zustand wird restauriert\n");
 I.WriteString("Mit SETCPU berprfen!\n")

END TestCache.
