MODULE SortTest; (* demonstration of using Sorting.QuickSort *)


(*====== Import from project Sorting ========================================*)

FROM Sorting IMPORT
  QuickSort;

(*====== Import from standard library =======================================*)

FROM InOut IMPORT
  WriteInt,WriteLn,WriteString;

FROM RandomNumber IMPORT
  RND;

(*===========================================================================*)


CONST
  max = 9;


VAR
  feld : ARRAY[0..max] OF INTEGER;
  i    : INTEGER;


PROCEDURE Lower (i1,i2 : LONGINT) : BOOLEAN;

BEGIN
  RETURN (feld[i1]<feld[i2]);
END Lower;


PROCEDURE Swap (i1,i2 : LONGINT);

VAR
  rescue : INTEGER;

BEGIN
  rescue:=feld[i1];
  feld[i1]:=feld[i2];
  feld[i2]:=rescue;
END Swap;


BEGIN
  FOR i:=0 TO max DO
    feld[i]:=RND(500);
    WriteInt (feld[i],10);WriteLn;
  END;
  WriteString ("Sorting...");WriteLn;
  QuickSort (0,max,Lower,Swap,FALSE);
  FOR i:=0 TO max DO
    WriteInt (feld[i],10);WriteLn;
  END;
END SortTest.
