IMPLEMENTATION MODULE B;



IMPORT FIO;
IMPORT InOut;
IMPORT KeyMaster;
IMPORT RSA;
IMPORT Str;



VAR
 cpk: RSA.Key;
 apk: RSA.Key;
 mypri,mypub: RSA.Key;



PROCEDURE Step4;
 BEGIN
  KeyMaster.SendRegistration(2,mypub);
 END Step4;



PROCEDURE Step15;
 VAR
  s: ARRAY[0..80] OF CHAR;
  Buffer1:ARRAY[0..15] OF CHAR;
  temp,in,out: FIO.File;
 BEGIN
  temp:=FIO.Create("TEMP.DAT");
  in:=FIO.OpenRead("BIN.DAT");
  FIO.AssignBuffer(in,Buffer1);
  RSA.DeCrypt(in,temp,mypri);
  FIO.Close(in);
  FIO.Close(temp);
  temp:=FIO.OpenRead("TEMP.DAT");
  FIO.AssignBuffer(temp,Buffer1);
  KeyMaster.DirtyRead(temp,ADR(s),SIZE(s));
  InOut.WriteString("B hat +++"); InOut.WriteString(s);
  InOut.WriteString("+++ empfangen."); InOut.WriteLn; InOut.WriteLn;
  FIO.Close(temp);
  temp:=FIO.Create("TEMP.DAT");
  s:="Und eine kleine Antwort auf diese sinnvolle Nachricht!";
  KeyMaster.DirtyWrite(temp,ADR(s),Str.Length(s));
  FIO.Close(temp);
  out:=FIO.Create("AIN.DAT");
  temp:=FIO.OpenRead("TEMP.DAT");
  FIO.AssignBuffer(temp,Buffer1);
  RSA.EnCrypt(temp,out,apk);
  InOut.WriteString("B hat +++"); InOut.WriteString(s);
  InOut.WriteString("+++ abgeschickt."); InOut.WriteLn; InOut.WriteLn;
  FIO.Close(temp);
  FIO.Close(out);
 END Step15;



PROCEDURE HandleMessage();
 VAR
  inf,out: FIO.File;
  mt: KeyMaster.MessageType;
  dirt,dirt2: KeyMaster.Dirty;
  dirt2size: INTEGER;
  cert: KeyMaster.Certificate;
  Buffer1:ARRAY [0..15] OF CHAR;

 BEGIN
  inf:=FIO.Open("BIN.DAT");
  FIO.AssignBuffer(inf,Buffer1);
  KeyMaster.GetMessageType(inf,mt);
  CASE mt OF
   | KeyMaster.mtRegReply:
        KeyMaster.DirtyRead(inf,ADR(cpk),SIZE(cpk));
   | KeyMaster.mtKeyMessageB:
        KeyMaster.DirtyRead(inf,ADR(dirt),SIZE(dirt));
        KeyMaster.DecodeKeyMessageB(dirt,mypri,cpk,cert);
        apk:=cert.key;
   | KeyMaster.mtDupMessage:
        KeyMaster.DirtyRead(inf,ADR(dirt),SIZE(dirt));
        KeyMaster.DecodeDupMsg(apk,mypri,dirt,cert);
        (* Gleichheit von id und pk mit eigenen pruefen *)
        KeyMaster.BuildDupMsg(1,apk,mypri,apk,dirt2,dirt2size);
        out:=FIO.Create("AIN.DAT");
        KeyMaster.SendDupMsg(out,dirt2,dirt2size);
        FIO.Close(out);
   | ELSE
  END;
  FIO.Close(inf);
 END HandleMessage;



BEGIN
 RSA.CreateKeys(mypub,mypri);
END B.