(**********************************************************************

    :Program.    LongInOut
    :Contents.   I/O Modul fr MathLong
    :Author.     Steffen Reith
    :Address.    Hessenstr. 64, D-8700 Wrzburg
    :Phone.      0931/281859
    :Language.   Modula-2
    :Translator. TopSpeed Modula / M2Amiga A+L V3.32d
    :History.    V1.0  2. Dez 1990
    :History.    V1.1  7. Feb 1991

**********************************************************************)
IMPLEMENTATION MODULE LInOut;

FROM MathLong IMPORT LONG,Str2Long,Long2Str,Trans,NStellen,Null;
FROM InOut    IMPORT ReadString,WriteString,WriteLn;

CONST Len=1024; (* Diese Konstante legt fest wieviele Stellen eine zu
                   wandelnde LONG-Zahl belegen darf
                *)

PROCEDURE ReadLONG(a:LONG);

VAR err:BOOLEAN;
    Str:ARRAY[0..Len] OF CHAR;


BEGIN

 (* ---- String einlesen ---- *)
 ReadString(Str);

 (* ---- Umwandeln ---- *)
 Str2Long(Str,a,err);
 IF err THEN
  WriteString('!!! Fehler beim Wandeln !!!');WriteLn;
  (* ---- a auf definierten Wert bringen ---- *)
  Trans(a,Null); (* a:=LONG(0) *)
 END

END ReadLONG;


PROCEDURE WriteLONG (a:LONG);

VAR err:BOOLEAN;
    Str:ARRAY[0..8192 ] OF CHAR;

BEGIN

 (* ---- Wandlung  ---- *)
 Long2Str(a,Str,err);

 IF err THEN
  WriteString('!!! Fehler beim Wandeln !!!');WriteLn
 ELSE
  WriteString(Str)
 END

END WriteLONG;

BEGIN
 IF Len<NStellen() THEN
  WriteString('Es kann bei der Wandlung von grossen LONG-Zahlen');WriteLn;
  WriteString('zu berlufen kommen !!');WriteLn
 END
END LInOut.
