(*
   Dieses Programm berechnet die Fibonacci-Zahlen bis zu einer an-
   gegebenen Grenze, dabei kann die volle Lnge des Zahlenbereichs
   ausgeschpft werden.
*)

MODULE Fibonacci;

FROM LONGInOut IMPORT ReadLONG,WriteLONG;
FROM InOut     IMPORT WriteString,WriteLn,ReadInt,WriteInt;
FROM MathLONG  IMPORT AllocNum,FreeNum,Add,LONG,Eins,Trans;

VAR a,b,c,n:LONG;
    i,Bis:INTEGER;

BEGIN
 a:=AllocNum();
 IF a=NIL THEN HALT END;

 b:=AllocNum();
 IF b=NIL THEN HALT END;

 c:=AllocNum();
 IF c=NIL THEN HALT END;

 Trans(a,Eins);
 Trans(b,Eins);

 WriteString('Wieviele Fibonacci-Zahlen wollen Sie berechnen ? ');
 ReadInt(Bis);

 WriteLn;
 WriteString('  0 ==> 1');WriteLn;
 WriteString('  1 ==> 1');WriteLn;

 FOR i:=2 TO Bis DO
  Add(a,b,c);
  WriteInt(i,3);WriteString(' ==> ');WriteLONG(c);WriteLn;
  Trans(a,b);Trans(b,c)
 END;

 FreeNum(a);FreeNum(b);FreeNum(c);

END Fibonacci.
