(* ------------------------------------------------------------------------
   :Program.      PALCheck.
   :Contents.     Program zur berprfung des PAL/NTSC-Modes.
   :Author.       Klaus Hlawaty.
   :Address.      Waldhof
   :Address.      3579 Schrecksbach
   :History.      v1.0 - 16.12.90
   :History.      v1.1 - 16.12.90: Oberon v2.13
   :Copyright.    PD
   :Language.     Oberon
   :Translator.   OBERON v2.13 / OLink v2.13d
   :Usage.        PALCheck
   :Usage.          IF Warn
   :Usage.            Reboot  ; Aktion bei keiner PAL-Workbench.
   :Usage.          ENDIF
------------------------------------------------------------------------ *)
(* $CaseChk- $NilChk- $OvflChk- $RangeChk- $StackChk- $TypeChk- *)
MODULE PALCheck;

IMPORT
       g:Graphics;

VAR
      i : POINTER TO INTEGER;

BEGIN
   IF NOT(g.pal IN g.gfx.displayFlags)THEN
      HALT(5);  (* Falls kein PAL-Workbench -> Warning an CLI/Shell ... *)
   END;
END PALCheck.

