(* --------------------------------------------------------------------------

:Program.    CPicTest
:Contents.   Testprogram using the MakeCPicScreen- Module
:Author.     Steffen Khler
:Address.    Breite Str. 1 2880 Brake, Germany
:Phone.      04401/70164
:Copyright.  This Routine based on the Shareware-Routines by
             Thomas Zipproth
             Dr. Jochner Weg 10, 8948 Mindelheim, Germany
             08261/4838
             (see the CPic.doc on AMOK#42 for more Informations)
:Language.   Modula2 + Assembler
:Translator. M2-Amiga A+L V3.32d
:History.    V1.0 29-Dec-90

-------------------------------------------------------------------------- *)
MODULE CPicTest;

FROM Arts       IMPORT TermProcedure;
FROM Intuition  IMPORT CloseScreen,ScreenPtr;
FROM Dos        IMPORT Delay;
FROM AMOK       IMPORT Bild; (* Amok- Bild von AMOK#13 *)
FROM CPicScreen IMPORT MakeCPicScreen,Cle,ci,Refresh;
FROM SYSTEM     IMPORT ADR;
FROM InOut      IMPORT Read,WriteString,WriteLn,WriteInt;
FROM Graphics   IMPORT Move,ClearScreen;

VAR
   MyScreen : ScreenPtr;
   a :CHAR;

PROCEDURE Ende;
BEGIN
   IF MyScreen#NIL THEN
      CloseScreen(MyScreen);
   END;
END Ende;

BEGIN
   TermProcedure(Ende);
   WriteString("Beenden mit RETURN");
   WriteLn;
   IF NOT MakeCPicScreen(ADR(Bild),NIL,MyScreen,0,0,TRUE) THEN
      WriteString("Konnte Screen nicht ffnen- Fehler:");
      WriteInt(Cle,8);
      WriteLn;
   ELSE
      Move(ADR(MyScreen^.rastPort),0,0);
      ClearScreen(ADR(MyScreen^.rastPort));
      IF NOT Refresh(ADR(Bild),MyScreen,ci) THEN
         WriteString("Konnte Screen nicht erneuern- Fehler:");
         WriteInt(Cle,8);
         WriteLn;
      END;
   END;
   Read(a);
END CPicTest.
