(*---------------------------------------------------------------------------
    :Program.     IntuiPointer.mod
    :Contents.    Prozeduren zum Setzen des Mauszeigers auf 'Busy' (ZZ)
    :Author.      Bernd Preusing
    :Address.     Gerhardstr. 16  D-2200 Elmshorn
    :Phone.       04121/22486
    :Copyright.   Public Domain
    :Language.    Oberon-2
    :Translator.  Amiga Oberon 2.20d
    :History.     V1.0 08-Oct-89 Bernd Preusing
    :History.     V1.1 10-Jan-90 [bne] (original (ZZ).-Image)
    :History.     V1.2 10-Jan-92 Christian Stiens (original OS2.0 BusyPointer)
    :Bugs.        none
    :Remark.      Please, create beautiful pointers for me!
---------------------------------------------------------------------------*)

MODULE IntuiPointer;

IMPORT I:Intuition;

(* $DataChip+ *)

TYPE IntArray36 = ARRAY 36 OF INTEGER;

CONST ZZData = IntArray36(
  00000U,00000U,
  00400U,007C0U,
  00000U,007C0U,
  00100U,00380U,
  00000U,007E0U,
  007C0U,01FF8U,
  01FF0U,03FECU,
  03FF8U,07FDEU,
  03FF8U,07FBEU,
  07FFCU,0FF7FU,
  07EFCU,0FFFFU,
  07FFCU,0FFFFU,
  03FF8U,07FFEU,
  03FF8U,07FFEU,
  01FF0U,03FFCU,
  007C0U,01FF8U,
  00000U,007E0U,
  00000U,00000U);

PROCEDURE Normal*(Win:I.WindowPtr);
BEGIN
  I.ClearPointer(Win);
END Normal;

PROCEDURE Busy*(Win:I.WindowPtr);
BEGIN
  I.SetPointer(Win,ZZData,16,16,-6,0);
END Busy;

END IntuiPointer.

