MODULE LevelCheck;


FROM Definitions IMPORT
  LevelFile,MaxX,MaxY,Modes,Status,StatusSet;

FROM LevelLoader IMPORT
  LevelNumber,LoadLevel,SaveLevel,SetMode;

FROM InOut IMPORT
  WriteCard,WriteInt,WriteLn,WriteString;


VAR
  mode     : Modes;
  number   : LevelNumber;
  level    : LevelFile;
  maxLevel : LevelNumber;
  x,y      : INTEGER;


BEGIN
  FOR mode:=0 TO 1 DO
    maxLevel:=SetMode(mode);
    FOR number:=0 TO maxLevel DO
      LoadLevel (number,level);
      WITH level DO
        IF (man2 IN field[man[1].x,man[1].y]) THEN
          WriteCard (mode,2);WriteCard (number,10);WriteLn;
        END;
        EXCL (field[man[1].x,man[1].y],man2);
        IF mode=1 THEN
          INCL (field[man[1].x,man[1].y],man1);
        END;
        readyDests:=0;
        dests:=0;
        FOR x:=0 TO MaxX DO
          FOR y:=0 TO MaxY DO
            IF (StatusSet{dest,ball}=field[x,y]) THEN
              INC (readyDests);
              INC (dests);
            ELSIF (dest IN field[x,y]) THEN
              INC (dests);
            END;
          END;
        END;
        WriteInt (mode,0);WriteString ("...");


        WriteInt (number,0);WriteString ("...");WriteInt (readyDests,0);
        WriteString ("...");WriteInt (dests,0);WriteLn;
      END;
      maxLevel:=SaveLevel(number,level);
    END;
  END;
END LevelCheck.
