(*------------------------------------------------------------------)
    :Program.    AllNotes
    :Author.     Philippe Gressly (PHILU)
    :Address.    Nfenhaus, CH-8926 Kappel a/Albis
    :History     V1.00 (25.12.91)
    :Update.
    :Copyright.  PD
    :Language.   Oberon
    :Translator. OBERON
    :Imports.
    :Support.
    :Bugs.
    :Contents.
    :Remark.
(------------------------------------------------------------------*)

MODULE AllNotes;

IMPORT sp: SmusPlayer,
       io,
       a: Arguments,
       s: SYSTEM,
       d: Dos;

VAR InstrFileName: ARRAY 64 OF CHAR;
    i: INTEGER;
    Note: INTEGER;
    spNote: sp.SPNote;

BEGIN
   IF a.NumArgs() # 1 THEN
      io.WriteString("error: need one argument \n");
   ELSE
      a.GetArg(1, InstrFileName);
      io.WriteString("Intrument is :");
      io.WriteString(InstrFileName);
      io.WriteString("\n");

      IF sp.LoadAux(s.ADR(InstrFileName)) = sp.SpERROR THEN
         io.WriteString("error in LoadAux\n");
      ELSE
         io.WriteString("LoadAux successful\n");
         IF sp.SetDefault(NIL) = sp.SpERROR THEN
            io.WriteString("error in SetDefault\n");
         ELSE
            io.WriteString("SetDefault successful\n");
            io.WriteString("initializing notes and playing...\n");
            i := 0; WHILE i < 128 DO
               Note := i * 256;
               io.WriteInt(i, 4);
               spNote.SNote := Note;
               spNote.iName := NIL;
               spNote.vol := sp.SpMAXVOL;
               spNote.voice := sp.SpDYNAMICVOICE;
               spNote.pri   := sp.SpPLAYERPRI + 1;
               IF sp.PlayNote(s.ADR(spNote)) = sp.SpERROR THEN
                  io.WriteString("error in PlayNote\n");
               ELSE
                  d.Delay(50)
               END;
            INC(i); END;
         END

      END
   END
END AllNotes.


