(*************************************************************************

:Program.    TxtWinTest.mod
:Contents.   Test-Prg zu TextWindows
:Author.     Hartmut Goebel
:Language.   Oberon
:Translator. Amiga Oberon 2.13
:History.    V1.0, 21 May 1991, Hartmut Goebel
:Date.       30 Jan 1992 12:36:27

*************************************************************************)

MODULE TxtWinTest;

IMPORT
  Break, NoGuru, io,
  tw: TextWindows,
  sys: SYSTEM;

VAR
  win: tw.TxtWinPtr;
  c: ARRAY 100 OF CHAR;
  i: LONGINT;

BEGIN
  win := tw.OpenTextWin("Display-Test",0,0,640,101);
  IF (win=NIL) THEN
    io.WriteString("Can't Open TextWindow\n");
    HALT(20);
  END;
  tw.WriteString(win,"Hallo Welt");
  tw.Write(win,"!");
  tw.WriteLn(win);
  tw.WriteHex(win,77,3);
  tw.WriteLn(win);
  tw.WriteInt(win,3,3);
  tw.WriteLn(win);
  tw.Read(win,c[0]);
  tw.WriteLn(win);
  tw.WriteString(win,"String>");
  tw.ReadString(win,c);
  tw.WriteString(win,"Int>");
  IF tw.ReadInt(win,i) THEN tw.WriteString(win,"Int ok!\n") END;
  tw.WriteString(win,"Hex>");
  IF tw.ReadHex(win,i) THEN tw.WriteString(win,"Hex ok!\n") END;

  tw.WriteString(win,"<return>");
  tw.Read(win,c[0]);
  tw.CloseTextWin(win);
END TxtWinTest.

