(* ------------------------------------------------------------------------
  :Program.       TestDateSupport.mod
  :Author.        Ingo Goldak
  :Address.       Hohenzollerndamm 8, 1000 Berlin 31
  :Phone.         030 / 883 74 77
  :Copyright.     PD
  :Language.      Modula-2
  :Translator.    M2Amiga 4.0d
  :History.       v1.0 Ingo 20-Okt-91
  :Contents.      Test von DateSupport
------------------------------------------------------------------------ *)
MODULE TestDateSupport;

FROM InOut IMPORT WriteString,WriteCard,WriteLn;
FROM DateSupport IMPORT MonthMode,CurrentDate,DayMonthYearToSeconds,FormatDate;

VAR day,month,year:CARDINAL;
    datum:ARRAY[0..18] OF CHAR;
    seconds:LONGCARD;

BEGIN
  CurrentDate(day,month,year);
  WriteString("Day:");WriteCard(day,3);
  WriteString(" Month:");WriteCard(month,3);
  WriteString(" Year:");WriteCard(year,5);WriteLn;
  FormatDate(day,month,year,' ',Elong,TRUE,datum);
  WriteString(datum);WriteLn;

  DayMonthYearToSeconds(19,9,1991,seconds);
  WriteCard(seconds,12);WriteLn;
END TestDateSupport.
