IMPLEMENTATION MODULE A;



IMPORT FIO;
IMPORT InOut;
IMPORT KeyMaster;
IMPORT RSA;
IMPORT Str;



VAR
 cpk: RSA.Key;
 bpk: RSA.Key;
 mypri,mypub: RSA.Key;



PROCEDURE Step1;
 BEGIN
  KeyMaster.SendRegistration(1,mypub);
 END Step1;



PROCEDURE Step7;
 BEGIN
  KeyMaster.SendKeyRequest(1,2,cpk);
 END Step7;



PROCEDURE Step11;
 VAR
  out: FIO.File;
  dirt: KeyMaster.Dirty;
  dirtsize: INTEGER;
 BEGIN
  KeyMaster.BuildDupMsg(1,mypub,mypri,bpk,dirt,dirtsize);
  out:=FIO.Create("BIN.DAT");
  KeyMaster.SendDupMsg(out,dirt,dirtsize);
  FIO.Close(out);
 END Step11;



PROCEDURE Step14;
 VAR
  s: ARRAY[0..80] OF CHAR;
  Buffer1:ARRAY[0..15] OF CHAR;
  temp,out: FIO.File;
 BEGIN
  temp:=FIO.Create("TEMP.DAT");
  s:="Eine Nachricht wird mit dem RSA- Verfahren verschickt";
  KeyMaster.DirtyWrite(temp,ADR(s),Str.Length(s));
  FIO.Close(temp);
  out:=FIO.Create("BIN.DAT");
  temp:=FIO.Open("TEMP.DAT");
  FIO.AssignBuffer(temp,Buffer1);
  RSA.EnCrypt(temp,out,bpk);
  InOut.WriteString("A hat +++"); InOut.WriteString(s);
  InOut.WriteString("+++ abgeschickt."); InOut.WriteLn; InOut.WriteLn;
  FIO.Close(temp);
  FIO.Close(out);
 END Step14;



PROCEDURE Step16;
 VAR
  s: ARRAY[0..80] OF CHAR;
  Buffer1:ARRAY[0..15] OF CHAR;
  temp,in: FIO.File;
 BEGIN
  temp:=FIO.Create("TEMP.DAT");
  in:=FIO.OpenRead("AIN.DAT");
  FIO.AssignBuffer(in,Buffer1);
  RSA.DeCrypt(in,temp,mypri);
  FIO.Close(temp);
  FIO.Close(in);
  temp:=FIO.OpenRead("TEMP.DAT");
  FIO.AssignBuffer(temp,Buffer1);
  KeyMaster.DirtyRead(temp,ADR(s),SIZE(s));
  InOut.WriteString("A hat +++"); InOut.WriteString(s);
  InOut.WriteString("+++ empfangen."); InOut.WriteLn; InOut.WriteLn;
  FIO.Close(temp);
 END Step16;



PROCEDURE HandleMessage();
 VAR
  inf,out: FIO.File;
  mt: KeyMaster.MessageType;
  dirt,dirt2: KeyMaster.Dirty;
  dirt2size: INTEGER;
  cert: KeyMaster.Certificate;
  Buffer1:ARRAY[0..15] OF CHAR;

 BEGIN
  inf:=FIO.Open("AIN.DAT");
  FIO.AssignBuffer(inf,Buffer1);
  KeyMaster.GetMessageType(inf,mt);
  CASE mt OF
   | KeyMaster.mtRegReply:
        KeyMaster.DirtyRead(inf,ADR(cpk),SIZE(cpk));
   | KeyMaster.mtKeyMessageAB:
        KeyMaster.DirtyRead(inf,ADR(dirt),SIZE(dirt));
        KeyMaster.DecodeKeyMessageAB(dirt,mypri,cpk,cert,
                                     dirt2,dirt2size);
        out:=FIO.Create("BIN.DAT");
        KeyMaster.PutKeyMessageB(out,dirt2,dirt2size);
        FIO.Close(out);
        bpk:=cert.key;
   | KeyMaster.mtDupMessage:
        KeyMaster.DirtyRead(inf,ADR(dirt),SIZE(dirt));
        KeyMaster.DecodeDupMsg(bpk,mypri,dirt,cert);
        (* Gleichheit von id und pk mit eigenen pruefen *)
   | ELSE
  END;
  FIO.Close(inf);
 END HandleMessage;



BEGIN
 RSA.CreateKeys(mypub,mypri);
END A.