MODULE Key;

FROM RSA      IMPORT CreateKeys,EnCrypt,DeCrypt;
FROM LInOut   IMPORT WriteLONG,ReadLONG;
FROM MathLong IMPORT LONG,AllocNum,FreeNum;
FROM InOut    IMPORT WriteString,WriteLn,ReadString;
FROM FIO      IMPORT Open,File,Close,Seek,Create,AssignBuffer;

VAR e,d,n,N:LONG;
    File1,File2,File3:ARRAY [0..64] OF CHAR; (* Die Filenamen *)
    F1,F2,F3:File;
    B1,B2,B3:ARRAY [0..1023] OF BYTE;

BEGIN
 e:=AllocNum();
 d:=AllocNum();
 n:=AllocNum();
 N:=AllocNum();

 IF (e=LONG(NIL)) OR (d=LONG(NIL)) OR (n=LONG(NIL)) OR (N=LONG(NIL)) THEN
  HALT
 END;

 WriteString('Erzeugung der Schlssel');WriteLn;
 CreateKeys(e,d,n);

 WriteString('Fertig ');WriteLn;
 WriteString('e ==> ');WriteLONG(e);WriteLn;
 WriteString('d ==> ');WriteLONG(d);WriteLn;
 WriteString('n ==> ');WriteLONG(n);WriteLn;
 WriteLn;

 WriteString('Eingabefile  ');ReadString(File1);WriteLn;
 WriteString('Zwischenfile ');ReadString(File2);WriteLn;
 WriteString('Ausgabefile  ');ReadString(File3);WriteLn;


 WriteLn;WriteString('Los gehts ');WriteLn;


 F1:=Open(File1);
 IF F1=MAX(CARDINAL) THEN
  WriteString('Fehler beim ffnen der Datei F1');WriteLn
 END;
 AssignBuffer(F1,B1);

 F2:=Create(File2);
 IF F2=MAX(CARDINAL) THEN
  WriteString('Fehler beim ffnen der Datei F2');WriteLn
 END;
 AssignBuffer(F2,B2);

 EnCrypt(F1,F2,e,n); (* Verschlsseln und ausgeben *)

 Close(F1);
 Close(F2);

 WriteString('Halbzeit ');WriteLn;

 F2:=Open(File2);
 IF F2=MAX(CARDINAL) THEN
  WriteString('Fehler beim erneuten ffnen der Datei F2');WriteLn
 END;
 Seek(F2,0); (* An den Anfang *)
 AssignBuffer(F2,B2);

 F3:=Create(File3);
 IF F3=MAX(CARDINAL) THEN
  WriteString('Fehler beim ffnen der Datei F3');WriteLn
 END;
 AssignBuffer(F3,B3);

 DeCrypt(F2,F3,d,n); (* Verschlsseln und ausgeben *)

 Close(F2);Close(F3);

 WriteString('Fertig !!');WriteLn;
 FreeNum(e);FreeNum(d);FreeNum(n);FreeNum(N)

END Key.
