IMPLEMENTATION MODULE MRT;

FROM LInOut   IMPORT ReadLONG,WriteLONG;
FROM MathLong IMPORT Str2Long,Long2Str,AllocNum,FreeNum,Add,Sub,Mult,Div,
                       Pow,Mod,ModDiv,LONG,PowMod,GT,EQ,Trans,Int2Long;

VAR
   Flag          : BOOLEAN;
   Temp0         : LONG;
   Comp          : ARRAY [0..7] OF LONG;
   Nr            : INTEGER;
   UU,NN,AA      : LONG;

PROCEDURE MRCheck(K : INTEGER; U,N,A : LONG) : BOOLEAN;

VAR
   I       : INTEGER;
   W,N1    : LONG;

BEGIN
   W :=AllocNum();
   N1 := AllocNum();

   Trans(AA,A);
   Trans(UU,U);
   Trans(NN,N);
   Trans(Temp0,A);

   PowMod(AA,UU,NN,W);

   IF EQ(W,Comp[1]) THEN
     FreeNum(W);
     FreeNum(N1);
     RETURN TRUE;
   END;
   Sub(N,Comp[1],N1);
   FOR I := 0 TO K DO
      IF EQ(W,N1) THEN
         FreeNum(W);
         FreeNum(N1);
         RETURN TRUE;
      END;
      PowMod(W,Comp[2],N,W);
   END;
   FreeNum(W);
   FreeNum(N1);
   RETURN FALSE;
END MRCheck;

PROCEDURE MRMain(N : LONG) : BOOLEAN;
CONST
   Try           = 30;
VAR
   I,K     : INTEGER;
   U,A     : LONG;
   Temp1   : LONG;
   TryCnt  : INTEGER;
   Flag    : BOOLEAN;

BEGIN

   U := AllocNum();
   A := AllocNum();
   Temp1 := AllocNum();
   FOR Nr := 2 TO 7 DO                       (* Prfe, ob Zahl durch 2 .. 7 teilbar ist *)
      Mod(N,Comp[Nr],Temp1);
      IF EQ(Temp1,Comp[0]) THEN
         FreeNum(U);
         FreeNum(A);
         FreeNum(Temp1);
         RETURN FALSE;
      END;
   END;

   Sub(N,Comp[1],U);
   K := 0;
   Mod(U,Comp[2],Temp1);
   WHILE EQ(Temp1,Comp[0]) DO
      Div(U,Comp[2],U);                      (* U := U DIV 2 *)
      INC(K);
      Mod(U,Comp[2],Temp1);
   END;
   Trans(A,Comp[2]);                         (* A := 2 *)
   TryCnt := 0;
   Flag := TRUE;
   REPEAT
      INC(TryCnt);
      Flag := MRCheck(K,U,N,A);
      IF (Flag = FALSE) THEN
         FreeNum(U);
         FreeNum(A);
         FreeNum(Temp1);
         RETURN FALSE;
      END;
      PowMod(A,A,N,A);
      Add(A,Comp[1],A);
   UNTIL (TryCnt = Try) OR (Flag = TRUE);
   FreeNum(U);
   FreeNum(A);
   FreeNum(Temp1);
   RETURN Flag;
END MRMain;

PROCEDURE MR(N : LONG) : BOOLEAN;
VAR
   St        : CHAR;
   Flag      : BOOLEAN;

BEGIN
   FOR Nr := 0 TO 7 DO   (* Initialisieren der globalen Vergleichsvariablen *)
      Comp[Nr] := AllocNum();
      Int2Long(Nr,Comp[Nr])
   END;
   UU := AllocNum();
   NN := AllocNum();
   AA := AllocNum();
   Temp0 := AllocNum();
   Flag := MRMain(N);
   FreeNum(UU);
   FreeNum(NN);
   FreeNum(AA);
   FreeNum(Temp0);
   FOR Nr := 0 TO 7 DO
      FreeNum(Comp[Nr]);
   END;
   RETURN Flag;
END MR;

BEGIN
END MRT.
