MODULE Schedule;



IMPORT InOut;
IMPORT A,B,C;



PROCEDURE Put(s: ARRAY OF CHAR);
 BEGIN
  InOut.WriteString(s);
  InOut.WriteLn;
 END Put;



BEGIN
 Put("Schritt 1: Teilnehmer A meldet sich bei der Zentrale an.");
 Put("");
 A.Step1;

 Put("Schritt 2: Die Zentrale behandelt die Anmeldung und schickt als");
 Put("           Antwort ihren oeffentlichen Schluessel an Teilnehmer A.");
 Put("");
 C.HandleMessage;

 Put("Schritt 3: A liest den oeffentlichen Schluessel der Zentrale.");
 Put("");
 A.HandleMessage;

 Put("Schritt 4: Teilnehmer B meldet sich bei der Zentrale an.");
 Put("");
 B.Step4;

 Put("Schritt 5: Die Zentrale behandelt die Anmeldung und schickt als");
 Put("           Antwort ihren oeffentlichen Schluessel an Teilnehmer B.");
 Put("");
 C.HandleMessage;

 Put("Schritt 6: B liest den oeffentlichen Schluessel der Zentrale.");
 Put("");
 B.HandleMessage;

 Put("---------------------------------------------------------------------");
 Put("   Damit sind die Vorarbeiten erledigt. Es folgt ein Beispiel fuer");
 Put("   einen Kommunikationsaufbau zwischen A und B ueber die Zentrale.");
 Put("---------------------------------------------------------------------");
 Put("");

 Put("Schritt 7: A schickt eine KeyRequest-Meldung an die Zentrale");
 Put("");
 A.Step7;

 Put("Schritt 8: Die Zentrale bearbeitet den KeyRequest und erzeugt als");
 Put("           Ergebnis eine KeyMessage (bestehend aus zwei");
 Put("           Zertifikaten), die sie an A schickt.");
 Put("");
 C.HandleMessage;

 Put("Schritt 9: A extrahiert das fuer ihn bestimmte Zertifikat, wertet");
 Put("           es aus und schickt das zweite Zertifikat weiter an B.");
 Put("");
 A.HandleMessage;

 Put("Schritt 10: B wertet das Zertifikat aus und wartet auf die");
 Put("            Kontrollmeldung durch A.");
 Put("");
 B.HandleMessage;

 Put("Schritt 11: A erzeugt die Kontrollmeldung und schickt sie an B.");
 Put("");
 A.Step11;

 Put("Schritt 12: B wertet die Kontrollmeldung von A aus und erzeugt");
 Put("            dann seinerseits eine Kontrollmeldung fuer A.");
 Put("");
 B.HandleMessage;

 Put("Schritt 13: A wertet die Kontrollmeldung von B aus.");
 Put("");
 A.HandleMessage;

 Put("---------------------------------------------------------------------");
 Put("   Damit haben sich A und B gegenseitig authentisiert. Die");
 Put("   eigentliche Kommunikation kann nun beginnen.");
 Put("   Es folgt eine kurze Datenuebertragung als Demonstration:");
 Put("---------------------------------------------------------------------");
 Put("");

 Put("Schritt 14: A schickt Daten an B.");
 Put("");
 A.Step14;

 Put("Schritt 15: B empfaengt die Daten, und schickt eine Antwort an A.");
 Put("");
 B.Step15;

 Put("Schritt 16: A empfaengt die Daten.");
 Put("");
 A.Step16;

END Schedule.