MODULE Key;

FROM RSA        IMPORT CreateKeys,EnCrypt,DeCrypt,Key;
FROM InOut      IMPORT WriteString,WriteLn,ReadString;
FROM FileSystem IMPORT Lookup,File,Close,Response;

VAR File1,File2,File3:ARRAY [0..64] OF CHAR; (* Die Filenamen *)
    F1,F2,F3:File;
    B1,B2,B3:ARRAY [0..1023] OF SHORTINT;
    offen,geheim:Key;

BEGIN
 CreateKeys(offen,geheim);
 WriteString("Fertig\n");

 WriteString('Eingabefile  ');ReadString(File1);WriteLn;
 WriteString('Zwischenfile ');ReadString(File2);WriteLn;
 WriteString('Ausgabefile  ');ReadString(File3);WriteLn;

 WriteLn;WriteString('Los gehts ');WriteLn;

 Lookup(F1,File1,0,FALSE);
 IF F1.res=notdone THEN
  WriteString('Fehler beim ffnen der Datei F1');WriteLn
 END;

 Lookup(F2,File2,0,TRUE);
 IF F2.res=notdone THEN
  WriteString('Fehler beim ffnen der Datei F2');WriteLn
 END;

 EnCrypt(F1,F2,offen); (* Verschlsseln und ausgeben *)

 Close(F1);
 Close(F2);

 WriteString('Halbzeit ');WriteLn;

 Lookup(F2,File2,0,FALSE);
 IF F2.res=notdone THEN
  WriteString('Fehler beim erneuten ffnen der Datei F2');WriteLn
 END;

 Lookup(F3,File3,0,TRUE);
 IF F3.res=notdone THEN
  WriteString('Fehler beim ffnen der Datei F3');WriteLn
 END;

 DeCrypt(F2,F3,geheim); (* Verschlsseln und ausgeben *)

 Close(F2);Close(F3);

 WriteString('Fertig !!');WriteLn;
END Key.
