(*************************************************************************

:Program.    EdCmd3.mod
:Contents.   Commands for AmokEd
:Author.     Hartmut Goebel
:Language.   Oberon
:Translator. Amiga Oberon Compiler V2.13
:History.    V1.0, 25 Dec 1991 Hartmut Goebel [hG]
:Date.       07 Jan 1992 18:24:20

*************************************************************************)

MODULE EdCmd3;

IMPORT
  ed1: EdCmd1,
  edD: EdDisplay,
  edE: EdErrors,
  edG: EdGlobalVars,
  edL: EdLowLevel,
  I  : Intuition,
  s  : SYSTEM;

CONST
  forward * = 0;

PROCEDURE dRotateTexts*;
VAR
  txt: edG.TextHeaderPtr;
  (* $ClearVars- *)
BEGIN
  (* $ClearVars= *)
  txt := edG.Text;
  IF forward IN edG.ArgSet THEN
    txt := txt.node.next;
    IF txt = NIL THEN txt := edG.EditList.head; END;
  ELSE
    txt := txt.node.prev;
    IF txt = NIL THEN txt := edG.EditList.tail; END;
  END;
  IF (txt # NIL) AND (txt # edG.Text) THEN
    edD.SwitchEdit(txt);
    I.WindowToFront(txt.win);
    s.SETREG(0,I.ActivateWindow(txt.win));
  ELSE
    edG.Rc := edE.cmdFailed;
  END;
END dRotateTexts;

END EdCmd3.

