(*---------------------------------------------------------------------------
    :Program.    ShowCycle.mod
    :Author.     Fridtjof Siebert
    :Address.    Nobileweg 67, D-7-Stgt-40
    :Phone.      0711/822509
    :Shortcut.   [fbs]
    :Version.    1.0
    :Date.       20.04.88
    :Copyright.  PD
    :Language.   Modula-II
    :Translator. M2Amiga
    :Imports.    IFFSupport [fbs].
    :UpDate.     none.
    :Contents.   Demo zu IFFSupport fr Colorcycling.
    :Remark.     Syntax: ShowCycle <filename>
---------------------------------------------------------------------------*)

MODULE ShowCycle;


IMPORT arg: Arguments,
       I:   Intuition,
       IFF: IFFSupport,
       d:   Dos;

VAR
  MyScreen   : I.ScreenPtr;
  WindowDummy: I.WindowPtr;
  Name       : ARRAY 80 OF CHAR;
  length     : INTEGER;
  Ciapra [0BFE001H]: SHORTSET;

BEGIN

  IF arg.NumArgs()#1 THEN

    HALT(20);

  ELSE

    arg.GetArg(1,Name);

    IF IFF.ReadILBM(Name,{IFF.front,IFF.visible},MyScreen,WindowDummy) THEN

      IF IFF.DoCycle(IFF.IFFInfo,MyScreen) THEN END;

      WHILE 6 IN Ciapra DO d.Delay(3) END;

      IFF.EndCycle(IFF.IFFInfo);

      I.OldCloseScreen(MyScreen);

    ELSE

      I.DisplayBeep(NIL);

    END;

  END;

END ShowCycle.

